QGIS Application - Bug report #15637
ArcGIS MapServer Services Export not working
2016-09-29 04:20 AM - Tomasz Nycz

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/ArcGIS

Affected QGIS version:2.16.3 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23560
Description

In Add ArcGIS MapServer Layer window, there's Export button. Suddenly doesn't work as suspected. | have defined some services, and
now should be possible to export them. But list of defined services is from WFS, not ArcGIS MapServer. In that way, cannot save and
share this resources.

Associated revisions

Revision 1c2f0de9 - 2016-10-21 05:19 AM - Martin Dobias

Hide import/export buttons for arcgis services as they do not work (fixes #15637)

Revision 629ca8b9 - 2016-11-01 04:41 AM - Martin Dobias

Hide import/export buttons for arcgis services as they do not work (fixes #15637)

(cherry picked from commit 1c2f0de9fbea8e90c9d20036bfa1601c1d192a89)

History

#1 - 2016-09-29 04:22 AM - Tomasz Nycz

Ubuntu 16.04, QGIS 2.16.3

#2 - 2016-10-15 02:16 PM - Randal Hale

Confirmed on 2.17 Master on Ubuntu 16.04

#3 - 2016-10-20 08:20 PM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"1c2f0de9fbea8e90c9d20036bfa1601c1d192a89".

#4 - 2016-10-20 08:26 PM - Martin Dobias

Turns out the support for import/export of connections for arc rest services was never there, so for the meanwhile | have just removed those buttons in the
respective dialogs to avoid confusion.

#5 - 2017-04-30 06:44 PM - Giovanni Manghi
- Category changed from 147 to Web Services clients/ArcGIS
